注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

姑射道人的博客

博客新地址:nixuchen.com

 
 
 

日志

 
 

Failed to load JavaHL Library  

2014-06-19 21:12:01|  分类: android |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |

出现错误“Failed to load JavaHL Library”的绝大多数情况是使用的Linux环境,在Linux环境中使用eclipse集成svn,会出现这个情况。网上很多处理Linux下出现这种错误的办法此处就不列出了,仅提供一个参考URL:http://www.cnblogs.com/feng_013/archive/2010/07/22/1783228.html

同样的错误提示在64位win7环境中也会出现,应该是64位系统的原因。
解决的办法很简单,下载64位的SVN Client:Slik-Subversion-1.6.15-x64.msi,
地址:http://www.sliksvn.com/en/download
安装时只需选择客户端即可(安装界面能自定义安装客户端和服务器端),之后重新启动eclipse即可正常使用svn了。

其实在安装64位Slik-Subversion前,本机已经安装了64位的TortoiseSVN-1.6,也是svn的一种客户端,但是与eclipse集成的svn插件似乎并没有使用它。 

(原文地址:http://bjyzxxds.iteye.com/blog/857525

我按照以上的方法做了以后,发现,问题依然存在,于是继续搜索,又发现了以下的帖子:

最近在使用MyEclipse的SVN插件时总是弹出一个大大的对话框,报一个Failed to load JavaHL Library.错误

  1. Failed to load JavaHL Library. 
  2. These are the errors that were encountered: 
  3. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\ssleay32.dll: 操作系统无法运行 %1。 
  4. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_subr-1.dll: 找不到指定的程序。 
  5. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_delta-1.dll: 找不到指定的程序。 
  6. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_diff-1.dll: 找不到指定的程序。 
  7. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_wc-1.dll: 找不到指定的程序。 
  8. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_fs-1.dll: 找不到指定的程序。 
  9. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_repos-1.dll: 找不到指定的程序。 
  10. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_ra-1.dll: 找不到指定的程序。 
  11. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvn_client-1.dll: 找不到指定的程序。 
  12. D:\Genuitec\Common\plugins\org.tigris.subversion.clientadapter.javahl.win32_1.6.17\libsvnjavahl-1.dll: 找不到指定的程序。 
  13. no svnjavahl-1 in java.library.path 
  14. no svnjavahl in java.library.path 
  15. java.library.path = D:\Genuitec\MyEclipse7.5;.;C:\WINDOWS\Sun\Java\bin;C:\WINDOWS\system32;C:\WINDOWS;
  16. D:/Genuitec/Common/binary/com.sun.java.jdk.win32.x86_1.6.0.013/jre/bin/client;
  17. D:/Genuitec/Common/binary/com.sun.java.jdk.win32.x86_1.6.0.013/jre/bin;D:\Tomcat5\bin;F:\Java\jdk1.5\bin;
  18. D:\apache-ant-1.8.1\bin;F:\Java\jdk1.5\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;
  19. C:\Program Files\Common Files\Thunder Network\KanKan\Codecs;D:\Server\MySql\bin;D:\Program Files\TortoiseSVN\bin 

虽然不是很影响正常使用,但是当你编着编着代码就偶尔弹出这么个大框来着实不爽。

于是在网络上找了答案,按照其中一种方法操作,果然不再报错。

其法为:

1.windows->preferences->Team->SVN->SVN接口

2.选择SVNKit (Pure Java) xxxxxx

如下图所示

重启之后不再报错。

另外附上其他解决办法(未经测试,不知正确与否):

安装好Eclipse以后

进入菜单Help->Install new Software...->add... 地址选择,如果安装的Eclipse版本是3.2以上

恐怕没人装旧版的了,那么使用如下地址 http://subclipse.tigris.org/update_1.6.x 具体版本信息参看http://subclipse.tigris.org中的Download and Install页面

然后点确定

全选

安装

重启Eclipse. 在SVN资源库研究中新加源

可以用以下地址测试 svn://www.svnhost.cn/test 加好后点击展开 就可以看到里面的内容

如果不成功

1.打开eclipse.ini文件,结尾添加一行 -Djava.library.path=/usr/lib/jni 然后重启Eclipse

2.或者在Windows->Team->SVN中选择SVN接口为SVNkit... 保存退出

之前无法连接到源,改接口也不成功,报Incompatible JavaHL library loaded错误。

其实是subclipse版本不对。卸载掉重装新版本即可。

卸载在Help->About Eclipse->Installation Details中选择。

可能遇到得问题:ubuntu eclipse 安装subclipse插件遇到的javaHL问题

subclipse 安装windows版本的eclipse时会把所有依赖的文件全部自动安装,但换到ubuntu就不行了。

应为linux的版本太多了它不可能为每个版本都写一份程序。所以只能自己动手了

第一步 现象

点选eclipse的 Window->Preferences->Team->SVN" preferences: 时就会出现下面的错误

Failed to load JavaHL Library.

These are the errors that were encountered:

no libsvnjavahl-1 in java.library.path

no svnjavahl-1 in java.library.path

no svnjavahl in java.library.path

java.library.path = /usr/lib/jvm/java-6-sun-1.6.0.03/jre/lib/i386/client::/ usr/lib/jvm/java-6-sun-1.6.0.03/jre/lib/i386::/usr/lib/firefox:/usr/lib/ firefox/:/usr/java/packages/lib/i386:/lib:/usr/lib

第二步 安装

javahl sudo apt-get install libsvn-java eclipse目录下的eclipse.ini添加 -Djava.library.path=/usr/lib/jni 做完这些后再次启动eclipse 问题迎刃而解.

(原文地址:http://www.blogjava.net/lyjjq/articles/361321.html

 

  评论这张
 
阅读(1062)| 评论(0)
推荐 转载

历史上的今天

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017